<div fxLayout="row wrap" fxLayoutAlign="start center" style="width: 100%">
  <mat-toolbar-row fxFlex="100">
    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="start center">
      <!-- <mat-spinner diameter="20"></mat-spinner> -->
      <h3>Cotizaciones</h3>
    </div>
  </mat-toolbar-row>

  <mat-accordion fxFlex="100">
    <mat-expansion-panel
      [disabled]="disableEXpand"
      (opened)="panelOpenState = true"
      (closed)="panelOpenState = false"
      *ngFor="let cotizacion of cotizaciones[0]"
      (click)="getImagenByContizacion(cotizacion.id)"
    >
      <mat-expansion-panel-header>
        <div
          fxLayout="row wrap"
          fxFlex="100"
          fxLayoutGap="6px grid"
          fxLayoutAlign="space-between center"
        >
          <div>
            <mat-panel-title
              fxLayout="row"
              fxLayoutAlign="start center"
              class="order-nro"
              >{{ cotizacion.usuario }}</mat-panel-title
            >
          </div>
          <div>
            <button mat-stroked-button>
              {{ cotizacion.estado_pago }}
            </button>
          </div>
        </div>
      </mat-expansion-panel-header>
      <div fxLayout="row wrap">
        <div fxFlex="100">
          <mat-list class="list-cotizacion" role="list" fxLayout="row wrap">
            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Referencia Seleccionada: </span> {{ cotizacion.referencia }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Estado de la cotizacón: </span>
              {{ cotizacion.estado_cotizacion }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Cotización creada: </span>
              {{ cotizacion.created.slice(0, 10) }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <div
                fxFlex="100"
                fxLayout="row wrap"
                fxLayoutAlign="space-between center"
              >
                <div fxFlex.xs="100">
                  <span>Precio: </span>
                  {{
                    cotizacion.precio | currency: "COP":"symbol-narrow":"1.0-0"
                  }}
                </div>
                <div
                  fxFlex.xs="100"
                  *ngIf="cotizacion.saldo_pendiente !== ''"
                  style="color: rgba(0, 0, 0, 0.6)"
                >
                  <span> Saldo pendiente: </span>
                  {{
                    cotizacion.saldo_pendiente
                      | currency: "COP":"symbol-narrow":"1.0-0"
                  }}
                </div>
              </div>
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Dirección de entrega: </span> {{ cotizacion.direccion }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Emoción a despertar: </span> {{ cotizacion.que_quieres }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Motivo de la obra: </span> {{ cotizacion.para_que }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Dimensiones: </span> {{ cotizacion.dimension }}
            </mat-list-item>

            <mat-list-item role="listitem" fxFlex.gt-sm="50" fxFlex="100">
              <span>Orientación de la pintura: </span>
              {{ cotizacion.orientacion == "V" ? "Vertical" : "Horizontal" }}
            </mat-list-item>
          </mat-list>
        </div>
        <div
          fxFlex="100"
          fxLayout="row wrap"
          fxLayoutAlign="space-between center"
          fxLayoutGap="6px grid"
        >
          <div fxFlex.gt-xs="60" fxFlex="100">
            <ng-container *ngFor="let img of getImagesCotizacion[0]">
              <div
                style="height: 80px; width: 80px"
                *ngIf="img.imagen !== null"
                fxLayoutAlign="center center"
              >
                <img
                  style="width: 100%"
                  [src]="env + img.imagen"
                  [alt]="img.imagen"
                />
              </div>
              <div
                style="height: 80px; width: 80px"
                *ngIf="img.imagen2 !== null"
                fxLayoutAlign="center center"
              >
                <img
                  style="width: 100%"
                  [src]="env + img.imagen2"
                  [alt]="img.imagen2"
                />
              </div>
              <div
                style="height: 80px; width: 80px"
                *ngIf="img.imagen3 !== null"
                fxLayoutAlign="center center"
              >
                <img
                  style="width: 100%"
                  [src]="env + img.imagen3"
                  [alt]="img.imagen2"
                />
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
